package tutorialJava.capitulo2_condicionales.ejercicios.bloque02;

import java.util.Scanner;

public class Ej01_Acumulador4Categorias {

	public static void main(String[] args) {
		int sumaNegativos = 0, sumaBajos = 0, sumaMedios = 0, 
				sumaAltos = 0, num;
		Scanner sc = new Scanner(System.in);
		
		System.out.println("Dame un número: ");
		num = sc.nextInt();
		
		if (num < 0) {
//			sumaNegativos = sumaNegativos + num;
			sumaNegativos += num;
		}
		else { 
			if (num >= 0 && num <= 25) {
				sumaBajos += num;
			}
			else {
				if (num > 25 && num <= 250) {
					sumaMedios += num;
				}
				else {
					if (num > 250) {
						sumaAltos += num;
					}
				}
			}
		}
			
		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) sumaNegativos += num;
		else if (num <= 25) sumaBajos += num;
		else if (num <= 250) sumaMedios += num;
		else sumaAltos += num;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) sumaNegativos += num;
		else if (num <= 25) sumaBajos += num;
		else if (num <= 250) sumaMedios += num;
		else sumaAltos += num;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) sumaNegativos += num;
		else if (num <= 25) sumaBajos += num;
		else if (num <= 250) sumaMedios += num;
		else sumaAltos += num;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) sumaNegativos += num;
		else if (num <= 25) sumaBajos += num;
		else if (num <= 250) sumaMedios += num;
		else sumaAltos += num;

		System.out.println("Negativos: " + sumaNegativos + 
				" Bajos: " + sumaBajos + 
				" Medios: " + sumaMedios +
				" Altos: " + sumaAltos);
	}

}






